nav {
    overflow: hidden;
    width: 100%;
    transform: translateZ(0);
    -webkit-transform: translateZ(0);
    z-index: 1000;
    margin-bottom: 2.8%;
}

nav a {
    text-align: center;
    padding: 0px 50px;
    text-decoration: none;
    font-size: 1.3em;
    font-family: avenir;
    line-height: 50px;
    letter-spacing: 2px;
    display: inline-block;
    position: relative;
    font-weight: normal;
    color: inherit;
}

nav ul { 
    margin-left: auto;
    margin-right: auto;
    padding: 0; 
    list-style: none; 
    display: table;
}
nav li { 
    display: table-cell; 
    position: relative; 
}

nav a:after {    
    background: none repeat scroll 0 0 transparent;
    bottom: 0;
    content: "";
    display: block;
    height: 1px;
    left: 50%;
    position: absolute;
    transition: width 0.3s ease 0s, left 0.3s ease 0s;
    width: 0;
    background: #dcdcdc;
}

nav a:hover:after { 
    width: 100%; 
    left: 0; 
}